quarkus:
  http:
    port: 8083
    idle-timeout: 30s
  thread-pool:
    max-threads: 100
    core-threads: 1
  datasource:
    username: ${DB2_USERNAME}
    password: ${DB2_PASSWORD}

api:
  source-id: DLCPD
  allowed:
    request-validation:
      customer-ibs-number: '\d+'
      account-status: '^(A|D|ACTBSUSD)$'
      product-cv-code: '^(CV|CVFL)$'
      limit-type: '^(PAG|REC)$'
      cachea-indicator: '^(SI|NO)$'
  read-messages:
    from-props: true
  dom-legal-customer-product-directory:
    messages:
      key: 'dom-legal-customer-product-directory'
      content: '[{"backendCode":"200","httpCode":200,"statusCode":"200","description":"Operacion exitosa"},{"backendCode":"R404","httpCode":404,"statusCode":"404","description":"Datos de validacion no encontrado."},{"backendCode":"503","httpCode":503,"statusCode":"503","description":"Uso interno"},{"backendCode":"422","httpCode":422,"statusCode":"422","description":"Uso interno"},{"backendCode":"500","httpCode":500,"statusCode":"500","description":"Uso interno"},{"backendCode":"100","httpCode":503,"statusCode":"503","description":"VDR13 - OSB Disponible"},{"backendCode":"OSB-382505","httpCode":503,"statusCode":"503","description":"VDR13 - OSB Disponible"},{"backendCode":"OSB-380002","httpCode":503,"statusCode":"503","description":"VDR13 - OSB Disponible"},{"backendCode":"ERROR","httpCode":400,"statusCode":"400","description":"Uso interno"},{"backendCode":"400","httpCode":400,"statusCode":"400","description":"Uso interno"},{"backendCode":"401","httpCode":401,"statusCode":"401","description":"Uso interno"},{"backendCode":"403","httpCode":403,"statusCode":"403","description":"Uso interno"},{"backendCode":"404","httpCode":404,"statusCode":"404","description":"Uso interno"},{"backendCode":"default","httpCode":409,"statusCode":"409","description":"Conflicto"},{"backendCode":"424","httpCode":424,"statusCode":"424","description":"Error de dependencia"},{"backendCode":"VDE01","httpCode":400,"statusCode":"VDE01","description":"VDE01 - Error en dato de entrada obligatorio: %s"},{"backendCode":"VDE02","httpCode":400,"statusCode":"VDE02","description":"VDE02 - Error en valor permitido para campo: %s"},{"backend_code":"204","http_code":"200","status_code":"200","description":"Cliente sin productos","status":"ok"}]'

datasource:
  sp:
    name: BANCYFIL2.CONCTABOLE
    allowed:
      account-status:
        enable: A
        disable: D
      account-type:
        saving: SAV
        current: DDA,MMK
        interest-arrangement: MMK
      account-relationship-type:
        parent: PADRE
      currency:
        base: BS
    errors:
      ibs: "DEBE ESPECIFICAR EL NRO DE CLIENTE"
